[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Cluster-devel] cluster/rgmanager/src/resources lvm_by_vg.sh



CVSROOT:	/cvs/cluster
Module name:	cluster
Branch: 	RHEL5
Changes by:	jbrassow sourceware org	2008-01-11 21:32:55

Modified files:
	rgmanager/src/resources: lvm_by_vg.sh 

Log message:
	- Bug #428448
	- HA LVM service fails to relocate when I/O is running
	
	Was failing to add new tag when relocating.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_vg.sh.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.1.4.1&r2=1.1.4.2

--- cluster/rgmanager/src/resources/lvm_by_vg.sh	2008/01/03 20:45:37	1.1.4.1
+++ cluster/rgmanager/src/resources/lvm_by_vg.sh	2008/01/11 21:32:55	1.1.4.2
@@ -74,7 +74,8 @@
 		return $OCF_ERR_GENERIC
 	fi
 
-	if ! vgchange --addtag $(local_node_name) $OCF_RESKEY_vg_name; then
+	vgchange --addtag $(local_node_name) $OCF_RESKEY_vg_name
+	if [ $? -ne 0 ]; then
 		ocf_log err "Failed to add ownership tag to $OCF_RESKEY_vg_name"
 		return $OCF_ERR_GENERIC
         fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]